aboutsummaryrefslogtreecommitdiffstats
path: root/packaging/macosx
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2013-11-09 19:00:19 +0000
committerGerald Combs <gerald@wireshark.org>2013-11-09 19:00:19 +0000
commit970b0a02454d1eee8cb2660061d10755af0da3aa (patch)
tree564530eb567f63364832a78f1f8716ba4b7eb9e2 /packaging/macosx
parentc7f980342ee1550ee87869a96364f8f0151c89d3 (diff)
Older versions of productsign don't support "--force" or "--verbose".
svn path=/trunk/; revision=53202
Diffstat (limited to 'packaging/macosx')
-rwxr-xr-xpackaging/macosx/osx-dmg.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/packaging/macosx/osx-dmg.sh.in b/packaging/macosx/osx-dmg.sh.in
index 02dfbf8808..a24e50f932 100755
--- a/packaging/macosx/osx-dmg.sh.in
+++ b/packaging/macosx/osx-dmg.sh.in
@@ -161,7 +161,7 @@ if [ -n "$CODE_SIGN_IDENTITY" ] ; then
echo -e "Signing $pkg_file"
mv "$pkg_file" "$pkg_file_unsigned" || exit 1
- productsign --sign "$CODE_SIGN_IDENTITY" --force --verbose "$pkg_file_flattened" "$pkg_file" || exit 1
+ productsign --sign "$CODE_SIGN_IDENTITY" "$pkg_file_flattened" "$pkg_file" || exit 1
spctl --assess --type install "$pkg_file" || exit 1
shasum "$pkg_file"
rm -rf "$pkg_dir_unsigned" "$pkg_file_unsigned" "$pkg_file_flattened"